<?php
######################################################################
# Copyright (C) 2016 Tafabofo
# Valerio Bozzolan and contributors
######################################################################
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

trait CensoredTrait {

}

class Censored {
	use CensoredTrait;

	function construct() {
		self::normalize($this);
	}

	static function normalize($t) {
		if( isset( $t->tosay ) ) {
			$t->tosay = (int) $t->tosay;
		}

		if( isset( $t->todontsay ) ) {
			$t->todontsay = (int) $t->todontsay;
		}
	}

	static function get() {
		$q = new DynamicQuery();
		$q->useTable( ['word', 'censored'] );
		return $q->appendCondition('word.word_ID = todontsay');
	}

	static function getByTosay($tosay_ID, $limit = 4) {
		$q = self::get()->appendCondition( sprintf(
			'tosay = %d',
			$tosay_ID
		) );
		$q->appendOrderBy('RAND()');
		return $q->setLimit($limit);
	}

	static function insert($tosay, $todontsay) {
		$me = get_user('user_ID');

		insert_row('censored', [
                        new DBCol('tosay',     $tosay,               'd'),
                        new DBCol('todontsay', $todontsay,           'd'),
			new DBCol('censored_creation_date', 'NOW()', '-'),
			new DBCol('censored_creation_user', $me,     'd')
                ] );
	}
}
