<?php
######################################################################
# Copyright (C) 2016 Tafabofo
# Valerio Bozzolan and contributors
######################################################################
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class_exists('Word');

trait PlayTrait {
	function isEverPlayed() {
		property_exists($this, 'play_times')
			|| error_die("Unselected play times");

		return isset( $this->play_times );
	}

	function played() {
		if( $this->isEverPlayed() ) {
			$this->firstPlayed();
		} else {
			$this->playedAgain();
		}
	}

	private function playedAgain() {
		global $T;

		$me = get_user('user_ID');

		query( sprintf(
			"UPDATE {$T('play')} SET play_times = play_times + 1 WHERE user_ID = %d AND word_ID = %d",
			$me,
			$this->getWordID()
		) );
	}

	private function firstPlayed() {
		$me = get_user('user_ID');

		insert_row('play', [
			new DBCol('user_ID',    $me,                'd'),
			new DBCol('word_ID',    $this->getWordID(), 'd'),
			new DBCol('play_times', 1,                  'd')
		] );
	}
}

class Play {
	use PlayTrait, WordTrait;

	// word_ID
	// user_ID

	function __construct() {
		self::normalize($this);
		Word::normalize($this);
	}

	static function normalize($t) {
		if( isset( $t->play_times ) ) {
			$t->play_times = (int) $t->play_times;
		}
	}
}
