<?php
######################################################################
# Copyright (C) 2016 Tafabofo
# Valerio Bozzolan and contributors
######################################################################
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

trait WordTrait {
	// word_ID
	// word_name

	function getWordID() {
		isset( $this->word_ID )
			|| error_die("Unselected word ID");

		return $this->word_ID;
	}

	function getWordName() {
		return $this->word_name;
	}

	function getCensored($limit = 4) {
		return Censored::getByTosay( $this->getWordID(), $limit );
	}
}

class Word {
	use WordTrait;

	function __construct() {
		self::normalize($this);
	}

	static function normalize($t) {
		if( isset( $t->word_ID ) ) {
			$t->word_ID = (int) $t->word_ID;
		}
	}

	function insert($s) {
		$me = get_user()->getUserID();

		insert_row('word', [
			new DBCol('word_name',           $s,     's'),
			new DBCol('word_creation_user',  $me,    'd'),
			new DBCol('word_creation_date', 'NOW()', '-')
		] );
	}
}
